<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>ComponentSelectionReason (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ComponentSelectionReason (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/artifacts/result/ComponentResult.html" title="interface in org.gradle.api.artifacts.result"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/artifacts/result/DependencyResult.html" title="interface in org.gradle.api.artifacts.result"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/artifacts/result/ComponentSelectionReason.html" target="_top">Frames</a></li>
<li><a href="ComponentSelectionReason.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.artifacts.result</div>
<h2 title="Interface ComponentSelectionReason" class="title">Interface ComponentSelectionReason</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">ComponentSelectionReason</span></pre>
<div class="block">Answers the question why a component was selected during the dependency resolution.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>1.3</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/result/ComponentSelectionReason.html#getDescription()">getDescription</a></strong>()</code>
<div class="block">Returns a human-consumable description of this selection reason.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/result/ComponentSelectionReason.html#isConflictResolution()">isConflictResolution</a></strong>()</code>
<div class="block">Informs whether the component was selected by conflict resolution.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/result/ComponentSelectionReason.html#isExpected()">isExpected</a></strong>()</code>
<div class="block">Informs whether the component is the requested selection of all dependency declarations, and was not replaced for some reason, such as conflict resolution.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/result/ComponentSelectionReason.html#isForced()">isForced</a></strong>()</code>
<div class="block">Informs whether the component was forced.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/artifacts/result/ComponentSelectionReason.html#isSelectedByRule()">isSelectedByRule</a></strong>()</code>
<div class="block">Informs whether the component was selected by the dependency substitution rule.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isForced()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isForced</h4>
<pre>boolean&nbsp;isForced()</pre>
<div class="block">Informs whether the component was forced.
 Users can force components via <a href="../../../../../org/gradle/api/artifacts/ResolutionStrategy.html" title="interface in org.gradle.api.artifacts"><code>ResolutionStrategy</code></a>
 or when declaring dependencies (see <a href="../../../../../org/gradle/api/artifacts/dsl/DependencyHandler.html" title="interface in org.gradle.api.artifacts.dsl"><code>DependencyHandler</code></a>).</div>
</li>
</ul>
<a name="isConflictResolution()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isConflictResolution</h4>
<pre>boolean&nbsp;isConflictResolution()</pre>
<div class="block">Informs whether the component was selected by conflict resolution.
 For more information about Gradle's conflict resolution please refer to the user
 guide. <a href="../../../../../org/gradle/api/artifacts/ResolutionStrategy.html" title="interface in org.gradle.api.artifacts"><code>ResolutionStrategy</code></a> contains information
 about conflict resolution and includes means to configure it.</div>
</li>
</ul>
<a name="isSelectedByRule()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSelectedByRule</h4>
<pre>boolean&nbsp;isSelectedByRule()</pre>
<div class="block">Informs whether the component was selected by the dependency substitution rule.
 Users can configure dependency substitution rules via <a href="../../../../../org/gradle/api/artifacts/ResolutionStrategy.html#getDependencySubstitution()"><code>ResolutionStrategy.getDependencySubstitution()</code></a></div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>1.4</dd></dl>
</li>
</ul>
<a name="isExpected()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isExpected</h4>
<pre>boolean&nbsp;isExpected()</pre>
<div class="block">Informs whether the component is the requested selection of all dependency declarations, and was not replaced for some reason, such as conflict resolution.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>1.11</dd></dl>
</li>
</ul>
<a name="getDescription()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getDescription</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDescription()</pre>
<div class="block">Returns a human-consumable description of this selection reason.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/artifacts/result/ComponentResult.html" title="interface in org.gradle.api.artifacts.result"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/artifacts/result/DependencyResult.html" title="interface in org.gradle.api.artifacts.result"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/artifacts/result/ComponentSelectionReason.html" target="_top">Frames</a></li>
<li><a href="ComponentSelectionReason.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
